openapi: 3.1.1
info:
    version: 2.0.0
    title: Corbado Backend API
    description: |
        # Introduction
        This documentation gives an overview of all Corbado Backend API calls to implement passwordless authentication with Passkeys.
    contact:
        name: Corbado team
        email: support@corbado.com
        url: https://www.corbado.com
servers:
    - url: https://backendapi.cloud.corbado.io/v2
tags:
    - name: ConnectTokens
      description: All API calls to manage connectTokens
      x-group: Connect tokens
    - name: Passkeys
      description: All API calls for passkey flows
      x-group: Passkey ceremonies
    - name: Users
      description: All API calls to manage users
      x-group: Users and passkeys
    - name: Identifiers
      description: All API calls to manage login identifiers
      x-group: Identifiers
    - name: PasskeyEvents
      description: All API calls to manage passkey events
      x-group: Passkey diagnostics
    - name: PasskeyChallenges
      description: All API calls to manage passkey challenges
      x-group: Passkey diagnostics
    - name: Exports
      description: All API calls to manage project export files
      x-group: Data exports
    - name: Connect reads
      description: Connect analytics, process investigation and configuration reads.
      x-group: Analytics and configuration
    - name: ConnectManagement
      description: Connect application and native-app configuration management.
      x-group: App configuration
    - name: ConnectRollout
      description: Connect rollout configuration, rulesets, targeting and simulations.
      x-group: Rollout configuration
    - name: Sessions
      description: All API calls to manage sessions
    - name: Challenges
      description: All API calls to manage challenges
    - name: SSO
      description: All API calls for SSO flows
    - name: AuthEvents
      description: All API calls to manage authentication events
    - name: ProjectConfig
      description: All API calls to manage project configurations
    - name: WebhookEndpoints
      description: All API calls to manage webhook endpoints
    - name: PasswordManagers
      description: All API calls to manage password managers
    - name: ClientEnvs
      description: All API calls to manage client environments
    - name: Devices
      description: All API calls to manage devices
paths:
    /users:
        post:
            x-mint:
                href: /api-reference/connect/backend/users/create-a-new-user
            summary: Create a new user
            description: |-
                Creates a new user with the given status. Use [login identifiers](/api-reference/connect/backend/identifiers/create-a-login-identifier-for-a-user) to add an email address or phone number to the user.

                You can also manage users in the [Management Console](https://app.corbado.com/users).

                Required API key permission: `users:write`.
            operationId: UserCreate
            tags:
                - Users
            security:
                - basicAuth: []
                - bearerAuth:
                    - users:write
            requestBody:
                required: true
                content:
                    application/json:
                        schema:
                            $ref: "#/components/schemas/userCreateReq"
            responses:
                "200":
                    description: User has been created.
                    content:
                        application/json:
                            schema:
                                $ref: "#/components/schemas/user"
                default:
                    $ref: "#/components/responses/error"
        get:
            x-mint:
                href: /api-reference/connect/backend/users/list-users
            summary: List users
            description: |-
                Lists project users with pagination. Sort by creation time using `created` (ascending) or `-created` (descending).

                Use exactly one filter: `userID`, `userIDs`, `webauthnIDs`, `identifierValue` or `identifierValues`.
                Identifier filters require `identifierType`. List filters accept at most 1,000 values.

                Required API key permission: `users:read`.
            operationId: UserList
            tags:
                - Users
            security:
                - basicAuth: []
                - bearerAuth:
                    - users:read
            parameters:
                - name: userID
                  in: query
                  description: Filter by specific user ID (format `usr-<number>`). Cannot be used together with `userIDs`.
                  required: false
                  schema:
                    type: string
                    example: "usr-4693224802260150919"
                - name: userIDs
                  in: query
                  description: Filter by multiple user IDs (comma-separated). Cannot be used together with `userID`, `webauthnIDs`, or identifier filters. Maximum 1000 IDs.
                  required: false
                  schema:
                    type: array
                    items:
                        type: string
                    example: ["usr-4693224802260150919", "usr-1234567890123456789"]
                  style: form
                  explode: false
                - name: userIDPattern
                  in: query
                  description: Filter by user IDs matching the given pattern. Supports `%` as a wildcard character. Cannot be used together with other filter types.
                  required: false
                  schema:
                    type: string
                    example: "usr-%"
                - name: webauthnIDs
                  in: query
                  description: Filter by multiple WebAuthn IDs (comma-separated). Cannot be used together with other filter types. Maximum 1000 IDs.
                  required: false
                  schema:
                    type: array
                    items:
                        type: string
                    example: ["abc123def456", "xyz789ghi012"]
                  style: form
                  explode: false
                - name: identifierValue
                  in: query
                  description: Filter by identifier value (email, phone, or username). Must be used together with `identifierType`. Cannot be used together with `identifierValues`.
                  required: false
                  schema:
                    type: string
                    example: "jane@doe.com"
                - name: identifierValues
                  in: query
                  description: Filter by multiple identifier values (comma-separated). Must be used together with `identifierType`. Cannot be used together with `identifierValue`. Maximum 1000 values.
                  required: false
                  schema:
                    type: array
                    items:
                        type: string
                    example: ["jane@doe.com", "john@example.com"]
                  style: form
                  explode: false
                - name: identifierType
                  in: query
                  description: Type of identifier to filter by. Must be used together with `identifierValue` or `identifierValues`.
                  required: false
                  schema:
                    type: string
                    enum:
                        - "email"
                        - "phone"
                        - "username"
                    example: "email"
                - name: status
                  in: query
                  description: Filter by user status.
                  required: false
                  schema:
                    type: string
                    enum:
                        - "active"
                        - "pending"
                        - "disabled"
                        - "deleted"
                    example: "active"
                - name: sort
                  in: query
                  description: |
                    Sort field. Only `created` is supported.
                    - Use `+created` for ascending order
                    - Use `-created` for descending order
                  required: false
                  schema:
                    type: string
                    enum:
                        - "+created"
                        - "-created"
                    example: "-created"
                - name: includeIdentifiers
                  in: query
                  description: Whether to include login identifiers in the response. Defaults to `true`.
                  required: false
                  schema:
                    type: boolean
                    default: true
                - name: page
                  in: query
                  description: |
                    The page number to retrieve for paginated results.
                  required: false
                  schema:
                    type: integer
                    default: 1
                    example: 1
                - name: pageSize
                  in: query
                  description: |
                    The number of items to return per page. Useful for pagination.
                  required: false
                  schema:
                    type: integer
                    default: 10
                    example: 20
            responses:
                "200":
                    description: List of users.
                    content:
                        application/json:
                            schema:
                                $ref: "#/components/schemas/userList"
                default:
                    $ref: "#/components/responses/error"
    /users/{userID}:
        get:
            x-mint:
                href: /api-reference/connect/backend/users/retrieve-a-user
            summary: Retrieve a user
            description: |-
                Retrieves a user by given `userID`. This does not return login identifiers like email addresses or phone numbers.

                You can also manage users in the [Management Console](https://app.corbado.com/users).

                Required API key permission: `users:read`.
            operationId: UserGet
            tags:
                - Users
            security:
                - basicAuth: []
                - bearerAuth:
                    - users:read
            parameters:
                - $ref: "#/components/parameters/userID"
            responses:
                "200":
                    description: User has been returned.
                    content:
                        application/json:
                            schema:
                                $ref: "#/components/schemas/user"
                default:
                    $ref: "#/components/responses/error"
        patch:
            x-mint:
                href: /api-reference/connect/backend/users/update-a-user
            summary: Update a user
            description: |-
                Updates a user by given `userID`. For example, this can be used to modify the user's status.

                You can also manage users in the [Management Console](https://app.corbado.com/users).

                Required API key permission: `users:write`.
            operationId: UserUpdate
            tags:
                - Users
            security:
                - basicAuth: []
                - bearerAuth:
                    - users:write
            parameters:
                - $ref: "#/components/parameters/userID"
            requestBody:
                required: true
                content:
                    application/json:
                        schema:
                            $ref: "#/components/schemas/userUpdateReq"
            responses:
                "200":
                    description: User has been updated.
                    content:
                        application/json:
                            schema:
                                $ref: "#/components/schemas/user"
                default:
                    $ref: "#/components/responses/error"
        delete:
            x-mint:
                href: /api-reference/connect/backend/users/delete-a-user
            summary: Delete a user
            description: |-
                Deletes a user by given `userID`.

                You can also manage users in the [Management Console](https://app.corbado.com/users).

                Deletes the user record in your Connect project. Coordinate account and session changes with your own identity system. This is separate from Observe user-data deletion.

                Required API key permission: `users:write`.
            operationId: UserDelete
            tags:
                - Users
            security:
                - basicAuth: []
                - bearerAuth:
                    - users:write
            parameters:
                - $ref: "#/components/parameters/userID"
            responses:
                "200":
                    $ref: "#/components/responses/200"
                default:
                    $ref: "#/components/responses/error"
    /users/{userID}/challenges:
        post:
            x-excluded: true
            summary: Create a challenge for a user
            description: |
                Creates a new challenge to verify a login identifier for a user by given `userID`. Challenges come in three flavors: **Email OTP**, **SMS OTP**, and **Email Magiclink**.

                **OTP** stands for One-Time Password. It is a unique code sent to the user via email or SMS, which they must enter to complete the verification process.
            operationId: ChallengeCreate
            tags:
                - Challenges
            security:
                - basicAuth: []
                - bearerAuth: []
            parameters:
                - $ref: "#/components/parameters/userID"
            requestBody:
                required: true
                content:
                    application/json:
                        schema:
                            $ref: "#/components/schemas/challengeCreateReq"
            responses:
                "200":
                    description: Challenge has been created.
                    content:
                        application/json:
                            schema:
                                $ref: "#/components/schemas/challenge"
                default:
                    $ref: "#/components/responses/error"
    /users/{userID}/challenges/{challengeID}:
        patch:
            x-excluded: true
            summary: Update a challenge for a user
            description: |
                Updates a challenge for a user by given `userID` and `challengeID`. For example, this can be used to change the challenge status from `pending` to `completed`.
            operationId: ChallengeUpdate
            tags:
                - Challenges
            security:
                - basicAuth: []
                - bearerAuth: []
            parameters:
                - $ref: "#/components/parameters/userID"
                - $ref: "#/components/parameters/challengeID"
            requestBody:
                required: true
                content:
                    application/json:
                        schema:
                            $ref: "#/components/schemas/challengeUpdateReq"
            responses:
                "200":
                    description: Challenge has been updated.
                    content:
                        application/json:
                            schema:
                                $ref: "#/components/schemas/challenge"
                default:
                    $ref: "#/components/responses/error"
    /users/{userID}/identifiers:
        post:
            x-mint:
                href: /api-reference/connect/backend/identifiers/create-a-login-identifier-for-a-user
            summary: Create a login identifier for a user
            description: |-
                Adds an `email`, `phone` or `username` login identifier to a user. A user can have multiple identifiers.

                Connect uses username identifiers to [map your external identity](/corbado-connect/concepts/connect-token)
                to the Corbado user and passkeys. This operation does not create an identity-provider session.

                Required API key permission: `identifiers:write`.
            operationId: IdentifierCreate
            tags:
                - Identifiers
            security:
                - basicAuth: []
                - bearerAuth:
                    - identifiers:write
            parameters:
                - $ref: "#/components/parameters/userID"
            requestBody:
                required: true
                content:
                    application/json:
                        schema:
                            $ref: "#/components/schemas/identifierCreateReq"
            responses:
                "200":
                    description: Identifier has been created.
                    content:
                        application/json:
                            schema:
                                $ref: "#/components/schemas/identifier"
                default:
                    $ref: "#/components/responses/error"
    /users/{userID}/identifiers/{identifierID}:
        delete:
            x-mint:
                href: /api-reference/connect/backend/identifiers/delete-a-login-identifier-for-a-user
            summary: Delete a login identifier for a user
            description: |-
                Delete an existing login identifier for a user by given `userID` and `identifierID`.

                Required API key permission: `identifiers:write`.
            operationId: IdentifierDelete
            tags:
                - Identifiers
            security:
                - basicAuth: []
                - bearerAuth:
                    - identifiers:write
            parameters:
                - $ref: "#/components/parameters/userID"
                - $ref: "#/components/parameters/identifierID"
            responses:
                "200":
                    $ref: "#/components/responses/200"
                default:
                    $ref: "#/components/responses/error"
        patch:
            x-mint:
                href: /api-reference/connect/backend/identifiers/update-a-login-identifier-for-a-user
            summary: Update a login identifier for a user
            description: |-
                Updates a login identifier (e.g. from `pending` to `verified`) for a user by given `userID` and `identifierID`.

                Required API key permission: `identifiers:write`.
            operationId: IdentifierUpdate
            tags:
                - Identifiers
            security:
                - basicAuth: []
                - bearerAuth:
                    - identifiers:write
            parameters:
                - $ref: "#/components/parameters/userID"
                - $ref: "#/components/parameters/identifierID"
            requestBody:
                required: true
                content:
                    application/json:
                        schema:
                            $ref: "#/components/schemas/identifierUpdateReq"
            responses:
                "200":
                    description: Identifier has been updated.
                    content:
                        application/json:
                            schema:
                                $ref: "#/components/schemas/identifier"
                default:
                    $ref: "#/components/responses/error"
    /users/{userID}/socialAccounts:
        get:
            x-excluded: true
            summary: List all social logins for a user
            description: |
                Returns a list of social logins for a user by given `userID`.

                The list can be sorted and filtered:
                - The `sort` parameter supports the following fields: `providerType` and `foreignID`.
                - The `filter` parameter supports the following fields: `providerType` and `foreignID`.

                Refer to the parameter description for more details on sorting in different directions and using the filter with different operators.
            operationId: UserSocialAccountList
            tags:
                - Users
            security:
                - basicAuth: []
                - bearerAuth: []
            parameters:
                - $ref: "#/components/parameters/userID"
                - name: sort
                  in: query
                  description: |
                    Field and direction to sort results. Use the format `fieldName:asc` or `fieldName:desc`.
                  required: false
                  schema:
                    type: string
                    example: createdAt:desc
                - name: filter[]
                  in: query
                  description: "Filter results by specific fields and conditions. Format: `<field>:<operator>:<value>`.\nSupported operators include:  \n  - `eq`: equals (e\\.g\\. `email:eq:mail@example\\.com` matches items where email equals mail@example\\.com)  \n  - `gt`: greater than (e\\.g\\. `created:gt:2021-01-01T00:00:00` matches items created after Jan 1, 2021)  \n  - `lt`: less than (e\\.g\\. `created:lt:2021-01-01T00:00:00` matches items created before Jan 1, 2021)\n"
                  required: false
                  style: form
                  explode: true
                  schema:
                    type: array
                    items:
                        type: string
                  examples:
                    filterEmail:
                        summary: Filter by email address
                        value:
                            - identifierType:eq:email
                            - identifierValue:eq:mail@example.com
                    filterTimepoint:
                        summary: Filter by date after July 20, 2021
                        value:
                            - timePoint:gt:2021-07-20T00:00:00
                - name: page
                  in: query
                  description: |
                    The page number to retrieve for paginated results.
                  required: false
                  schema:
                    type: integer
                    default: 1
                    example: 1
                - name: pageSize
                  in: query
                  description: |
                    The number of items to return per page. Useful for pagination.
                  required: false
                  schema:
                    type: integer
                    default: 10
                    example: 20
            responses:
                "200":
                    description: List of social logins.
                    content:
                        application/json:
                            schema:
                                type: array
                                items:
                                    $ref: "#/components/schemas/socialAccount"
                default:
                    $ref: "#/components/responses/error"
        post:
            x-excluded: true
            summary: Create a social login for a user
            description: |
                Creates a new social login for a user by given `userID`. Social logins are used to authenticate users with third-party providers like Google, Microsoft, or GitHub.

                You can set up social logins in the [Management Console](https://app.corbado.com/settings/userinterface?tab=Social) or consult the [Documentation](/corbado-complete/overview/configuration/social-logins/overview) for more details.
            operationId: SocialAccountCreate
            tags:
                - Users
            security:
                - basicAuth: []
                - bearerAuth: []
            parameters:
                - $ref: "#/components/parameters/userID"
            requestBody:
                required: true
                content:
                    application/json:
                        schema:
                            $ref: "#/components/schemas/socialAccountCreateReq"
            responses:
                "200":
                    description: Social login has been created.
                    content:
                        application/json:
                            schema:
                                $ref: "#/components/schemas/socialAccount"
                default:
                    $ref: "#/components/responses/error"
    /users/{userID}/credentials:
        get:
            x-mint:
                href: /api-reference/connect/backend/users/list-passkeys-for-a-user
            summary: List passkeys for a user
            description: |-
                Lists a user's passkeys. Both `sort` and `filter` support `userID`, `created`, `status`,
                `backupState`, `browserName` and `osName`. See the parameters for sort directions and filter operators.

                Required API key permission: `credentials:read`.
            operationId: CredentialList
            tags:
                - Users
            security:
                - basicAuth: []
                - bearerAuth:
                    - credentials:read
            parameters:
                - $ref: "#/components/parameters/userID"
                - name: sort
                  in: query
                  description: |
                    Field and direction to sort results. Use the format `fieldName:asc` or `fieldName:desc`.
                  required: false
                  schema:
                    type: string
                    example: createdAt:desc
                - name: filter[]
                  in: query
                  description: "Filter results by specific fields and conditions. Format: `<field>:<operator>:<value>`.\nSupported operators include:  \n  - `eq`: equals (e\\.g\\. `email:eq:mail@example\\.com` matches items where email equals mail@example\\.com)  \n  - `gt`: greater than (e\\.g\\. `created:gt:2021-01-01T00:00:00` matches items created after Jan 1, 2021)  \n  - `lt`: less than (e\\.g\\. `created:lt:2021-01-01T00:00:00` matches items created before Jan 1, 2021)\n"
                  required: false
                  style: form
                  explode: true
                  schema:
                    type: array
                    items:
                        type: string
                  examples:
                    filterEmail:
                        summary: Filter by email address
                        value:
                            - identifierType:eq:email
                            - identifierValue:eq:mail@example.com
                    filterTimepoint:
                        summary: Filter by date after July 20, 2021
                        value:
                            - timePoint:gt:2021-07-20T00:00:00
                - name: page
                  in: query
                  description: |
                    The page number to retrieve for paginated results.
                  required: false
                  schema:
                    type: integer
                    default: 1
                    example: 1
                - name: pageSize
                  in: query
                  description: |
                    The number of items to return per page. Useful for pagination.
                  required: false
                  schema:
                    type: integer
                    default: 10
                    example: 20
                - $ref: "#/components/parameters/includeAllStatus"
            responses:
                "200":
                    description: List of passkeys.
                    content:
                        application/json:
                            schema:
                                $ref: "#/components/schemas/credentialList"
                default:
                    $ref: "#/components/responses/error"
    /users/{userID}/credentials/{credentialID}:
        delete:
            x-mint:
                href: /api-reference/connect/backend/users/delete-a-passkey-for-a-user
            summary: Delete a passkey for a user
            description: |-
                Deletes an existing passkey for a user by given `userID` and `credentialID`.

                Required API key permission: `credentials:delete`.
            operationId: CredentialDelete
            tags:
                - Users
            security:
                - basicAuth: []
                - bearerAuth:
                    - credentials:delete
            parameters:
                - $ref: "#/components/parameters/userID"
                - $ref: "#/components/parameters/credentialID"
            responses:
                "200":
                    $ref: "#/components/responses/200"
                default:
                    $ref: "#/components/responses/error"
    /users/{userID}/fullCredentials:
        get:
            x-mint:
                href: /api-reference/connect/backend/users/list-passkeys-for-a-user-including-full-authenticator-data
            summary: List passkeys for a user including full authenticator data
            description: |-
                Returns a list of passkeys for a user by given `userID`, including the full authenticator data
                (`publicKey`, `authenticatorSignCount` and `authenticatorAttachment`) which is not part of
                [List passkeys for a user](/api-reference/connect/backend/users/list-passkeys-for-a-user).

                Required API key permission: `credentials:export`.
            operationId: FullCredentialList
            tags:
                - Users
            security:
                - basicAuth: []
                - bearerAuth:
                    - credentials:export
            parameters:
                - $ref: "#/components/parameters/userID"
            responses:
                "200":
                    description: List of passkeys including full authenticator data.
                    content:
                        application/json:
                            schema:
                                $ref: "#/components/schemas/fullCredentialList"
                default:
                    $ref: "#/components/responses/error"
    /users/{userID}/authEvents:
        post:
            summary: "Create an authentication event"
            description: Create a new authentication event for a user
            operationId: AuthEventCreate
            x-excluded: true
            tags:
                - AuthEvents
            security:
                - basicAuth: []
                - bearerAuth: []
            parameters:
                - $ref: "#/components/parameters/userID"
            requestBody:
                required: true
                content:
                    application/json:
                        schema:
                            $ref: "#/components/schemas/authEventCreateReq"
            responses:
                "200":
                    description: Auth event has been created.
                    content:
                        application/json:
                            schema:
                                $ref: "#/components/schemas/authEvent"
                default:
                    $ref: "#/components/responses/error"
    /users/{userID}/passkeyEvents:
        post:
            x-mint:
                href: /api-reference/connect/backend/passkeyevents/create-a-passkey-event-for-a-user
            summary: Create a passkey event for a user
            description: |-
                Creates a new passkey event for a user by given `userID`.

                Required API key permission: `passkey_events:write`.
            operationId: PasskeyEventCreate
            tags:
                - PasskeyEvents
            security:
                - basicAuth: []
                - bearerAuth:
                    - passkey_events:write
            parameters:
                - $ref: "#/components/parameters/userID"
            requestBody:
                required: true
                content:
                    application/json:
                        schema:
                            $ref: "#/components/schemas/passkeyEventCreateReq"
            responses:
                "200":
                    description: Passkey event has been created.
                    content:
                        application/json:
                            schema:
                                $ref: "#/components/schemas/passkeyEvent"
                default:
                    $ref: "#/components/responses/error"
        get:
            x-mint:
                href: /api-reference/connect/backend/passkeyevents/list-all-passkey-events-for-a-user
            summary: List all passkey events for a user
            description: |-
                Lists a user's passkey events. Sort by `created` or `eventType` and filter by `eventType`.
                See the parameters for sort directions and filter operators.

                Required API key permission: `passkey_events:read`.
            operationId: PasskeyEventList
            tags:
                - PasskeyEvents
            security:
                - basicAuth: []
                - bearerAuth:
                    - passkey_events:read
            parameters:
                - name: sort
                  in: query
                  description: |
                    Field and direction to sort results. Use the format `fieldName:asc` or `fieldName:desc`.
                  required: false
                  schema:
                    type: string
                    example: createdAt:desc
                - name: filter[]
                  in: query
                  description: "Filter results by specific fields and conditions. Format: `<field>:<operator>:<value>`.\nSupported operators include:  \n  - `eq`: equals (e\\.g\\. `email:eq:mail@example\\.com` matches items where email equals mail@example\\.com)  \n  - `gt`: greater than (e\\.g\\. `created:gt:2021-01-01T00:00:00` matches items created after Jan 1, 2021)  \n  - `lt`: less than (e\\.g\\. `created:lt:2021-01-01T00:00:00` matches items created before Jan 1, 2021)\n"
                  required: false
                  style: form
                  explode: true
                  schema:
                    type: array
                    items:
                        type: string
                  examples:
                    filterEmail:
                        summary: Filter by email address
                        value:
                            - identifierType:eq:email
                            - identifierValue:eq:mail@example.com
                    filterTimepoint:
                        summary: Filter by date after July 20, 2021
                        value:
                            - timePoint:gt:2021-07-20T00:00:00
                - name: page
                  in: query
                  description: |
                    The page number to retrieve for paginated results.
                  required: false
                  schema:
                    type: integer
                    default: 1
                    example: 1
                - name: pageSize
                  in: query
                  description: |
                    The number of items to return per page. Useful for pagination.
                  required: false
                  schema:
                    type: integer
                    default: 10
                    example: 20
                - $ref: "#/components/parameters/userID"
            responses:
                "200":
                    description: List of all matching passkey events.
                    content:
                        application/json:
                            schema:
                                $ref: "#/components/schemas/passkeyEventList"
                default:
                    $ref: "#/components/responses/error"
    /users/{userID}/passkeyEvents/{passkeyEventID}:
        delete:
            x-mint:
                href: /api-reference/connect/backend/passkeyevents/delete-a-passkey-event-for-a-user
            summary: Delete a passkey event for a user
            description: |-
                Deletes an existing passkey event for a user by given `userID` and `passkeyEventID`.

                Required API key permission: `passkey_events:write`.
            operationId: PasskeyEventDelete
            tags:
                - PasskeyEvents
            security:
                - basicAuth: []
                - bearerAuth:
                    - passkey_events:write
            parameters:
                - $ref: "#/components/parameters/userID"
                - $ref: "#/components/parameters/passkeyEventID"
            responses:
                "200":
                    $ref: "#/components/responses/200"
                default:
                    $ref: "#/components/responses/error"
    /users/{userID}/passkeyChallenges:
        get:
            x-mint:
                href: /api-reference/connect/backend/passkeychallenges/list-all-passkey-challenges-for-a-user
            summary: List all passkey challenges for a user
            description: |-
                Lists a user's passkey challenges. Both `sort` and `filter` support `userID`, `projectID`,
                `status` and `type`. See the parameters for sort directions and filter operators.

                Required API key permission: `passkey_challenges:read`.
            operationId: PasskeyChallengeList
            tags:
                - PasskeyChallenges
            security:
                - basicAuth: []
                - bearerAuth:
                    - passkey_challenges:read
            parameters:
                - name: sort
                  in: query
                  description: |
                    Field and direction to sort results. Use the format `fieldName:asc` or `fieldName:desc`.
                  required: false
                  schema:
                    type: string
                    example: createdAt:desc
                - name: filter[]
                  in: query
                  description: "Filter results by specific fields and conditions. Format: `<field>:<operator>:<value>`.\nSupported operators include:  \n  - `eq`: equals (e\\.g\\. `email:eq:mail@example\\.com` matches items where email equals mail@example\\.com)  \n  - `gt`: greater than (e\\.g\\. `created:gt:2021-01-01T00:00:00` matches items created after Jan 1, 2021)  \n  - `lt`: less than (e\\.g\\. `created:lt:2021-01-01T00:00:00` matches items created before Jan 1, 2021)\n"
                  required: false
                  style: form
                  explode: true
                  schema:
                    type: array
                    items:
                        type: string
                  examples:
                    filterEmail:
                        summary: Filter by email address
                        value:
                            - identifierType:eq:email
                            - identifierValue:eq:mail@example.com
                    filterTimepoint:
                        summary: Filter by date after July 20, 2021
                        value:
                            - timePoint:gt:2021-07-20T00:00:00
                - name: page
                  in: query
                  description: |
                    The page number to retrieve for paginated results.
                  required: false
                  schema:
                    type: integer
                    default: 1
                    example: 1
                - name: pageSize
                  in: query
                  description: |
                    The number of items to return per page. Useful for pagination.
                  required: false
                  schema:
                    type: integer
                    default: 10
                    example: 20
                - $ref: "#/components/parameters/userID"
            responses:
                "200":
                    description: List of all matching passkey challenges.
                    content:
                        application/json:
                            schema:
                                $ref: "#/components/schemas/passkeyChallengeList"
                default:
                    $ref: "#/components/responses/error"
    /users/{userID}/passkeyChallenges/{passkeyChallengeID}:
        patch:
            x-mint:
                href: /api-reference/connect/backend/passkeychallenges/update-a-passkey-challenge-for-a-user
            summary: Update a passkey challenge for a user
            description: |-
                Updates a passkey challenge for a user by given `userID` and `passkeyChallengeID`.

                Required API key permission: `passkey_challenges:write`.
            operationId: PasskeyChallengeUpdate
            tags:
                - PasskeyChallenges
            security:
                - basicAuth: []
                - bearerAuth:
                    - passkey_challenges:write
            parameters:
                - $ref: "#/components/parameters/userID"
                - $ref: "#/components/parameters/passkeyChallengeID"
            requestBody:
                required: true
                content:
                    application/json:
                        schema:
                            $ref: "#/components/schemas/passkeyChallengeUpdateReq"
            responses:
                "200":
                    description: Passkey challenge has been updated.
                    content:
                        application/json:
                            schema:
                                $ref: "#/components/schemas/passkeyChallenge"
                default:
                    $ref: "#/components/responses/error"
    /users/{userID}/passwordManagers:
        get:
            summary: List password managers for a user
            description: Returns a list of password managers
            operationId: PasswordManagerList
            x-excluded: true
            tags:
                - PasswordManagers
            security:
                - basicAuth: []
                - bearerAuth: []
            parameters:
                - $ref: "#/components/parameters/userID"
            responses:
                "200":
                    description: List of all matching password managers.
                    content:
                        application/json:
                            schema:
                                $ref: "#/components/schemas/passwordManagerList"
                default:
                    $ref: "#/components/responses/error"
    /users/{userID}/clientEnvs:
        get:
            summary: List client environments for a user
            description: Returns a list of clientEnvs
            operationId: ClientEnvList
            x-excluded: true
            tags:
                - ClientEnvs
            security:
                - basicAuth: []
                - bearerAuth: []
            parameters:
                - $ref: "#/components/parameters/userID"
            responses:
                "200":
                    description: List of all matching clientEnvs.
                    content:
                        application/json:
                            schema:
                                $ref: "#/components/schemas/clientEnvList"
                default:
                    $ref: "#/components/responses/error"
    /identifiers:
        get:
            x-mint:
                href: /api-reference/connect/backend/identifiers/list-all-login-identifiers
            summary: List all login identifiers
            description: |-
                Lists login identifiers. Both `sort` and `filter` support `userID`, `identifierType` and
                `identifierValue`. See the parameters for sort directions and filter operators.

                Required API key permission: `identifiers:read`.
            operationId: IdentifierList
            tags:
                - Identifiers
            security:
                - basicAuth: []
                - bearerAuth:
                    - identifiers:read
            parameters:
                - name: sort
                  in: query
                  description: |
                    Field and direction to sort results. Use the format `fieldName:asc` or `fieldName:desc`.
                  required: false
                  schema:
                    type: string
                    example: createdAt:desc
                - name: filter[]
                  in: query
                  description: "Filter results by specific fields and conditions. Format: `<field>:<operator>:<value>`.\nSupported operators include:  \n  - `eq`: equals (e\\.g\\. `email:eq:mail@example\\.com` matches items where email equals mail@example\\.com)  \n  - `gt`: greater than (e\\.g\\. `created:gt:2021-01-01T00:00:00` matches items created after Jan 1, 2021)  \n  - `lt`: less than (e\\.g\\. `created:lt:2021-01-01T00:00:00` matches items created before Jan 1, 2021)\n"
                  required: false
                  style: form
                  explode: true
                  schema:
                    type: array
                    items:
                        type: string
                  examples:
                    filterEmail:
                        summary: Filter by email address
                        value:
                            - identifierType:eq:email
                            - identifierValue:eq:mail@example.com
                    filterTimepoint:
                        summary: Filter by date after July 20, 2021
                        value:
                            - timePoint:gt:2021-07-20T00:00:00
                - name: page
                  in: query
                  description: |
                    The page number to retrieve for paginated results.
                  required: false
                  schema:
                    type: integer
                    default: 1
                    example: 1
                - name: pageSize
                  in: query
                  description: |
                    The number of items to return per page. Useful for pagination.
                  required: false
                  schema:
                    type: integer
                    default: 10
                    example: 20
            responses:
                "200":
                    description: List of all matching login identifiers.
                    content:
                        application/json:
                            schema:
                                $ref: "#/components/schemas/identifierList"
                default:
                    $ref: "#/components/responses/error"
    /socialAccounts:
        get:
            x-excluded: true
            summary: List all social logins
            description: |
                Returns a list of social logins.

                The list can be sorted and filtered:
                - The `sort` parameter supports the following fields: `providerType` and `foreignID`.
                - The `filter` parameter supports the following fields: `providerType` and `foreignID`.

                Refer to the parameter description for more details on sorting in different directions and using the filter with different operators.
            operationId: SocialAccountList
            tags:
                - Users
            security:
                - basicAuth: []
                - bearerAuth: []
            parameters:
                - name: sort
                  in: query
                  description: |
                    Field and direction to sort results. Use the format `fieldName:asc` or `fieldName:desc`.
                  required: false
                  schema:
                    type: string
                    example: createdAt:desc
                - name: filter[]
                  in: query
                  description: "Filter results by specific fields and conditions. Format: `<field>:<operator>:<value>`.\nSupported operators include:  \n  - `eq`: equals (e\\.g\\. `email:eq:mail@example\\.com` matches items where email equals mail@example\\.com)  \n  - `gt`: greater than (e\\.g\\. `created:gt:2021-01-01T00:00:00` matches items created after Jan 1, 2021)  \n  - `lt`: less than (e\\.g\\. `created:lt:2021-01-01T00:00:00` matches items created before Jan 1, 2021)\n"
                  required: false
                  style: form
                  explode: true
                  schema:
                    type: array
                    items:
                        type: string
                  examples:
                    filterEmail:
                        summary: Filter by email address
                        value:
                            - identifierType:eq:email
                            - identifierValue:eq:mail@example.com
                    filterTimepoint:
                        summary: Filter by date after July 20, 2021
                        value:
                            - timePoint:gt:2021-07-20T00:00:00
                - name: page
                  in: query
                  description: |
                    The page number to retrieve for paginated results.
                  required: false
                  schema:
                    type: integer
                    default: 1
                    example: 1
                - name: pageSize
                  in: query
                  description: |
                    The number of items to return per page. Useful for pagination.
                  required: false
                  schema:
                    type: integer
                    default: 10
                    example: 20
            responses:
                "200":
                    description: List of social logins.
                    content:
                        application/json:
                            schema:
                                $ref: "#/components/schemas/socialAccountList"
                default:
                    $ref: "#/components/responses/error"
    /projectConfig/cname:
        put:
            summary: Update project CNAME and generate SSL certificate
            description: Update project config CNAME and generates new SSL certificate
            operationId: ProjectConfigUpdateCNAME
            x-excluded: true
            tags:
                - ProjectConfig
            security:
                - basicAuth: []
                - bearerAuth: []
            requestBody:
                required: true
                content:
                    application/json:
                        schema:
                            $ref: "#/components/schemas/projectConfigUpdateCnameReq"
            responses:
                "200":
                    $ref: "#/components/responses/200"
                default:
                    $ref: "#/components/responses/error"
    /connectTokens:
        post:
            x-mint:
                href: /api-reference/connect/backend/connecttokens/create-a-connecttoken
            summary: Create a connectToken
            description: |-
                Creates a new ConnectToken, which is essential for [Corbado Connect](/corbado-connect/overview/welcome).
                ConnectTokens authorize actions that modify user data.

                Consult the [Documentation](/corbado-connect/concepts/connect-token) for more details.

                Required API key permission: `connect_tokens:write`.
            operationId: ConnectTokenCreate
            tags:
                - ConnectTokens
            security:
                - basicAuth: []
                - bearerAuth:
                    - connect_tokens:write
            requestBody:
                required: true
                content:
                    application/json:
                        example:
                            type: passkey-append
                            data:
                                displayName: Example User
                                identifier: user@example.com
                            maxLifetimeInSeconds: 3600
                        schema:
                            $ref: "#/components/schemas/connectTokenCreateReq"
            responses:
                "200":
                    description: ConnectToken has been created.
                    content:
                        application/json:
                            schema:
                                $ref: "#/components/schemas/connectToken"
                default:
                    $ref: "#/components/responses/error"
        get:
            x-mint:
                href: /api-reference/connect/backend/connecttokens/list-all-connecttokens
            summary: List all ConnectTokens
            description: |-
                Lists Connect tokens. Both `sort` and `filter` support `token`, `tokenType`, `status` and
                `expires`. See the parameters for sort directions and filter operators.

                Required API key permission: `connect_tokens:read`.
            operationId: ConnectTokenList
            tags:
                - ConnectTokens
            security:
                - basicAuth: []
                - bearerAuth:
                    - connect_tokens:read
            parameters:
                - name: sort
                  in: query
                  description: |
                    Field and direction to sort results. Use the format `fieldName:asc` or `fieldName:desc`.
                  required: false
                  schema:
                    type: string
                    example: createdAt:desc
                - name: filter[]
                  in: query
                  description: "Filter results by specific fields and conditions. Format: `<field>:<operator>:<value>`.\nSupported operators include:  \n  - `eq`: equals (e\\.g\\. `email:eq:mail@example\\.com` matches items where email equals mail@example\\.com)  \n  - `gt`: greater than (e\\.g\\. `created:gt:2021-01-01T00:00:00` matches items created after Jan 1, 2021)  \n  - `lt`: less than (e\\.g\\. `created:lt:2021-01-01T00:00:00` matches items created before Jan 1, 2021)\n"
                  required: false
                  style: form
                  explode: true
                  schema:
                    type: array
                    items:
                        type: string
                  examples:
                    filterEmail:
                        summary: Filter by email address
                        value:
                            - identifierType:eq:email
                            - identifierValue:eq:mail@example.com
                    filterTimepoint:
                        summary: Filter by date after July 20, 2021
                        value:
                            - timePoint:gt:2021-07-20T00:00:00
                - name: page
                  in: query
                  description: |
                    The page number to retrieve for paginated results.
                  required: false
                  schema:
                    type: integer
                    default: 1
                    example: 1
                - name: pageSize
                  in: query
                  description: |
                    The number of items to return per page. Useful for pagination.
                  required: false
                  schema:
                    type: integer
                    default: 10
                    example: 20
            responses:
                "200":
                    description: List of all matching append tokens.
                    content:
                        application/json:
                            schema:
                                $ref: "#/components/schemas/connectTokenList"
                default:
                    $ref: "#/components/responses/error"
    /connectTokens/{connectTokenID}:
        patch:
            x-mint:
                href: /api-reference/connect/backend/connecttokens/update-a-connecttoken
            summary: Update a ConnectToken
            description: |-
                Updates an existing ConnectToken.

                Required API key permission: `connect_tokens:write`.
            operationId: ConnectTokenUpdate
            tags:
                - ConnectTokens
            security:
                - basicAuth: []
                - bearerAuth:
                    - connect_tokens:write
            parameters:
                - $ref: "#/components/parameters/connectTokenID"
            requestBody:
                required: true
                content:
                    application/json:
                        schema:
                            $ref: "#/components/schemas/connectTokenUpdateReq"
            responses:
                "200":
                    $ref: "#/components/responses/200"
                default:
                    $ref: "#/components/responses/error"
        delete:
            x-mint:
                href: /api-reference/connect/backend/connecttokens/delete-a-connecttoken
            summary: Delete a ConnectToken
            description: |-
                Deletes an existing ConnectToken.

                Required API key permission: `connect_tokens:write`.
            operationId: ConnectTokenDelete
            tags:
                - ConnectTokens
            security:
                - basicAuth: []
                - bearerAuth:
                    - connect_tokens:write
            parameters:
                - $ref: "#/components/parameters/connectTokenID"
            responses:
                "200":
                    $ref: "#/components/responses/200"
                default:
                    $ref: "#/components/responses/error"
    /webhookEndpoints:
        get:
            summary: "List webhook endpoints"
            description: Returns a list of webhook endpoints
            operationId: WebhookEndpointList
            x-excluded: true
            tags:
                - WebhookEndpoints
            security:
                - basicAuth: []
                - bearerAuth: []
            responses:
                "200":
                    description: List of webhook endpoints.
                    content:
                        application/json:
                            schema:
                                $ref: "#/components/schemas/webhookEndpointList"
                default:
                    $ref: "#/components/responses/error"
        post:
            summary: "Create a webhook endpoint"
            description: Creates a new webhook endpoint
            operationId: WebhookEndpointCreate
            x-excluded: true
            tags:
                - WebhookEndpoints
            security:
                - basicAuth: []
                - bearerAuth: []
            requestBody:
                required: true
                content:
                    application/json:
                        schema:
                            $ref: "#/components/schemas/webhookEndpointCreateReq"
            responses:
                "200":
                    description: Webhook endpoint has been created.
                    content:
                        application/json:
                            schema:
                                $ref: "#/components/schemas/webhookEndpoint"
                default:
                    $ref: "#/components/responses/error"
    /webhookEndpoints/{webhookEndpointID}:
        put:
            summary: "Update a webhook endpoint"
            description: Updates an existing webhook endpoint
            operationId: WebhookEndpointUpdate
            x-excluded: true
            tags:
                - WebhookEndpoints
            security:
                - basicAuth: []
                - bearerAuth: []
            parameters:
                - $ref: "#/components/parameters/webhookEndpointID"
            requestBody:
                required: true
                content:
                    application/json:
                        schema:
                            $ref: "#/components/schemas/webhookEndpointUpdateReq"
            responses:
                "200":
                    description: Webhook endpoint has been updated.
                    content:
                        application/json:
                            schema:
                                $ref: "#/components/schemas/webhookEndpoint"
                default:
                    $ref: "#/components/responses/error"
        delete:
            summary: "Delete a webhook endpoint"
            description: Deletes an existing webhook endpoint
            operationId: WebhookEndpointDelete
            x-excluded: true
            tags:
                - WebhookEndpoints
            security:
                - basicAuth: []
                - bearerAuth: []
            parameters:
                - $ref: "#/components/parameters/webhookEndpointID"
            responses:
                "200":
                    $ref: "#/components/responses/200"
                default:
                    $ref: "#/components/responses/error"
    /sessions:
        get:
            x-excluded: true
            summary: List all sessions
            description: |
                Returns a list of sessions.

                The list can be sorted and filtered:
                - The `sort` parameter supports the following fields: `ID`, `userID`, `expires`, `lastAction`, `created`, `updated`, and `status`.
                - The `filter` parameter supports the following fields: `ID`, `userID`, `expires`, `lastAction`, `created`, `updated`, and `status`.

                Refer to the parameter description for more details on sorting in different directions and using the filter with different operators.

                You can view and manage sessions in the [Management Console](https://app.corbado.com/users/sessions) or consult the [Documentation](https://docs.corbado.com/corbado-complete/sessions/overview) for more details.
            operationId: SessionList
            tags:
                - Sessions
            security:
                - basicAuth: []
                - bearerAuth: []
            parameters:
                - name: sort
                  in: query
                  description: |
                    Field and direction to sort results. Use the format `fieldName:asc` or `fieldName:desc`.
                  required: false
                  schema:
                    type: string
                    example: createdAt:desc
                - name: filter[]
                  in: query
                  description: "Filter results by specific fields and conditions. Format: `<field>:<operator>:<value>`.\nSupported operators include:  \n  - `eq`: equals (e\\.g\\. `email:eq:mail@example\\.com` matches items where email equals mail@example\\.com)  \n  - `gt`: greater than (e\\.g\\. `created:gt:2021-01-01T00:00:00` matches items created after Jan 1, 2021)  \n  - `lt`: less than (e\\.g\\. `created:lt:2021-01-01T00:00:00` matches items created before Jan 1, 2021)\n"
                  required: false
                  style: form
                  explode: true
                  schema:
                    type: array
                    items:
                        type: string
                  examples:
                    filterEmail:
                        summary: Filter by email address
                        value:
                            - identifierType:eq:email
                            - identifierValue:eq:mail@example.com
                    filterTimepoint:
                        summary: Filter by date after July 20, 2021
                        value:
                            - timePoint:gt:2021-07-20T00:00:00
                - name: page
                  in: query
                  description: |
                    The page number to retrieve for paginated results.
                  required: false
                  schema:
                    type: integer
                    default: 1
                    example: 1
                - name: pageSize
                  in: query
                  description: |
                    The number of items to return per page. Useful for pagination.
                  required: false
                  schema:
                    type: integer
                    default: 10
                    example: 20
            responses:
                "200":
                    description: List of all matching sessions.
                    content:
                        application/json:
                            schema:
                                $ref: "#/components/schemas/sessionList"
                default:
                    $ref: "#/components/responses/error"
    /sessions/{sessionID}/revoke:
        post:
            x-excluded: true
            summary: Revoke a session
            description: Revokes an existing session by given `sessionID`.
            operationId: SessionRevoke
            tags:
                - Sessions
            security:
                - basicAuth: []
                - bearerAuth: []
            parameters:
                - name: sessionID
                  in: path
                  description: ID of session
                  required: true
                  schema:
                    type: string
                    minLength: 30
                    maxLength: 30
            responses:
                "200":
                    $ref: "#/components/responses/200"
                default:
                    $ref: "#/components/responses/error"
    /passkey/append/start:
        post:
            x-mint:
                href: /api-reference/connect/backend/passkeys/start-creating-a-new-passkey
            summary: Start creating a new passkey
            description: |-
                Starts creating a new passkey by initiating the WebAuthn ceremony. To complete the ceremony you need to call [finish](/api-reference/connect/backend/passkeys/finish-creating-a-new-passkey).

                Required API key permission: `passkeys:append`.
            operationId: PasskeyAppendStart
            tags:
                - Passkeys
            security:
                - basicAuth: []
                - bearerAuth:
                    - passkeys:append
            requestBody:
                required: true
                content:
                    application/json:
                        schema:
                            $ref: "#/components/schemas/passkeyAppendStartReq"
            responses:
                "200":
                    description: Passkey creation process has been started.
                    content:
                        application/json:
                            schema:
                                $ref: "#/components/schemas/passkeyAppendStartRsp"
                default:
                    $ref: "#/components/responses/error"
    /passkey/append/finish:
        post:
            x-mint:
                href: /api-reference/connect/backend/passkeys/finish-creating-a-new-passkey
            summary: Finish creating a new passkey
            description: |-
                Finishes creating a new passkey by completing the WebAuthn ceremony.

                Required API key permission: `passkeys:append`.
            operationId: PasskeyAppendFinish
            tags:
                - Passkeys
            security:
                - basicAuth: []
                - bearerAuth:
                    - passkeys:append
            requestBody:
                required: true
                content:
                    application/json:
                        schema:
                            $ref: "#/components/schemas/passkeyAppendFinishReq"
            responses:
                "200":
                    description: Passkey append succeeded.
                    content:
                        application/json:
                            schema:
                                $ref: "#/components/schemas/passkeyAppendFinishRsp"
                default:
                    $ref: "#/components/responses/error"
    /passkey/login/start:
        post:
            x-mint:
                href: /api-reference/connect/backend/passkeys/start-login-with-an-existing-passkey
            summary: Start login with an existing passkey
            description: |-
                Starts login with an existing passkey by initiating the WebAuthn ceremony. To complete the ceremony you need to call [finish](/api-reference/connect/backend/passkeys/finish-login-with-an-existing-passkey).

                Required API key permission: `passkeys:login`.
            operationId: PasskeyLoginStart
            tags:
                - Passkeys
            security:
                - basicAuth: []
                - bearerAuth:
                    - passkeys:login
            requestBody:
                required: true
                content:
                    application/json:
                        schema:
                            $ref: "#/components/schemas/passkeyLoginStartReq"
            responses:
                "200":
                    description: Passkey authentication process has been started.
                    content:
                        application/json:
                            schema:
                                $ref: "#/components/schemas/passkeyLoginStartRsp"
                default:
                    $ref: "#/components/responses/error"
    /passkey/login/finish:
        post:
            x-mint:
                href: /api-reference/connect/backend/passkeys/finish-login-with-an-existing-passkey
            summary: Finish login with an existing passkey
            description: |-
                Finishes login with an existing passkey by completing the WebAuthn ceremony.

                Required API key permission: `passkeys:login`.
            operationId: PasskeyLoginFinish
            tags:
                - Passkeys
            security:
                - basicAuth: []
                - bearerAuth:
                    - passkeys:login
            requestBody:
                required: true
                content:
                    application/json:
                        schema:
                            $ref: "#/components/schemas/passkeyLoginFinishReq"
            responses:
                "200":
                    description: Passkey login succeeded.
                    content:
                        application/json:
                            schema:
                                $ref: "#/components/schemas/passkeyLoginFinishRsp"
                default:
                    $ref: "#/components/responses/error"
    /sso/saml2/start:
        post:
            x-excluded: true
            summary: Start SAML2 SSO login
            description: Starts SAML2-based SSO login by resolving the project's SSO configuration for the email and returning an IdP redirect URL.
            operationId: SsoSaml2Start
            tags:
                - SSO
            security:
                - basicAuth: []
                - bearerAuth: []
            requestBody:
                required: true
                content:
                    application/json:
                        schema:
                            $ref: "#/components/schemas/ssoSaml2StartReq"
            responses:
                "200":
                    description: SSO start succeeded.
                    content:
                        application/json:
                            schema:
                                $ref: "#/components/schemas/ssoSaml2StartRsp"
                default:
                    $ref: "#/components/responses/error"
    /sso/saml2/finish:
        post:
            x-excluded: true
            summary: Finish SAML2 SSO login
            description: |
                Finishes SAML2-based SSO login by validating the SAML response against the pending SSO session and resolving/provisioning a user.
            operationId: SsoSaml2Finish
            tags:
                - SSO
            security:
                - basicAuth: []
                - bearerAuth: []
            requestBody:
                required: true
                content:
                    application/json:
                        schema:
                            $ref: "#/components/schemas/ssoSaml2FinishReq"
            responses:
                "200":
                    description: SSO finish succeeded.
                    content:
                        application/json:
                            schema:
                                $ref: "#/components/schemas/ssoSaml2FinishRsp"
                default:
                    $ref: "#/components/responses/error"
    /passkey/postLogin:
        post:
            summary: Run the post-login action for passkey
            description: Explicitly runs the post-login action
            operationId: PasskeyPostLogin
            x-excluded: true
            tags:
                - Passkeys
            security:
                - basicAuth: []
                - bearerAuth: []
            requestBody:
                required: true
                content:
                    application/json:
                        schema:
                            $ref: "#/components/schemas/passkeyPostLoginReq"
            responses:
                "200":
                    description: Post Passkey Login succeeded.
                    content:
                        application/json:
                            schema:
                                $ref: "#/components/schemas/passkeyPostLoginRsp"
                default:
                    $ref: "#/components/responses/error"
    /passkey/verifySignedData:
        post:
            x-mint:
                href: /api-reference/connect/backend/passkeys/verify-signedpasskeydata-from-a-passkey-login
            summary: Verify signedPasskeyData from a passkey login
            description: |-
                Verifies `signedPasskeyData` returned by [Connect login finish](/api-reference/connect/frontend/corbadoconnect/finish-connect-login).
                Set `username` to the expected WebAuthn identifier. Create an application session only when the
                HTTP request succeeds and `verificationResult` is `success`; decoding a JWT alone does not verify it.

                See [signed passkey data](/corbado-connect/concepts/signed-passkey-data) and the
                [backend integration guide](/corbado-connect/integration/generic/backend).

                Required API key permission: `passkeys:verify`.
            operationId: PasskeyVerifySignedData
            tags:
                - Passkeys
            security:
                - basicAuth: []
                - bearerAuth:
                    - passkeys:verify
            requestBody:
                required: true
                content:
                    application/json:
                        schema:
                            $ref: "#/components/schemas/passkeyVerifySignedDataReq"
            responses:
                "200":
                    description: |
                        `signedPasskeyData` has been verified.
                    content:
                        application/json:
                            schema:
                                $ref: "#/components/schemas/passkeyVerifySignedDataRsp"
                default:
                    $ref: "#/components/responses/error"
    /passkey/mediation/start:
        post:
            x-mint:
                href: /api-reference/connect/backend/passkeys/start-login-with-an-existing-passkey-conditional-ui
            summary: Start login with an existing passkey (Conditional UI)
            description: |-
                Starts login with an existing passkey in [Conditional UI](https://www.corbado.com/glossary/conditional-ui) scenario. To complete the ceremony you need to call [finish](/api-reference/connect/backend/passkeys/finish-login-with-an-existing-passkey-conditional-ui).

                Required API key permission: `passkeys:mediation`.
            operationId: PasskeyMediationStart
            tags:
                - Passkeys
            security:
                - basicAuth: []
                - bearerAuth:
                    - passkeys:mediation
            requestBody:
                required: true
                content:
                    application/json:
                        schema:
                            $ref: "#/components/schemas/passkeyMediationStartReq"
            responses:
                "200":
                    description: Passkey login process has been started.
                    content:
                        application/json:
                            schema:
                                $ref: "#/components/schemas/passkeyMediationStartRsp"
                default:
                    $ref: "#/components/responses/error"
    /passkey/mediation/finish:
        post:
            x-mint:
                href: /api-reference/connect/backend/passkeys/finish-login-with-an-existing-passkey-conditional-ui
            summary: Finish login with an existing passkey (Conditional UI)
            description: |-
                Finishes login with an existing passkey in [Conditional UI](https://www.corbado.com/glossary/conditional-ui) scenario.

                Required API key permission: `passkeys:mediation`.
            operationId: PasskeyMediationFinish
            tags:
                - Passkeys
            security:
                - basicAuth: []
                - bearerAuth:
                    - passkeys:mediation
            requestBody:
                required: true
                content:
                    application/json:
                        schema:
                            $ref: "#/components/schemas/passkeyMediationFinishReq"
            responses:
                "200":
                    description: Passkey login process has been completed.
                    content:
                        application/json:
                            schema:
                                $ref: "#/components/schemas/passkeyMediationFinishRsp"
                default:
                    $ref: "#/components/responses/error"
    /exports/{exportType}:
        get:
            x-mint:
                href: /api-reference/connect/backend/exports/list-project-exports
            summary: List project exports
            description: |-
                Returns a list of available export files for the authenticated project and export type.

                Required API key permission: `exports:read`.
            operationId: ExportList
            tags:
                - Exports
            security:
                - basicAuth: []
                - bearerAuth:
                    - exports:read
            parameters:
                - name: exportType
                  in: path
                  required: true
                  description: Type of export to list
                  schema:
                    $ref: "#/components/schemas/exportType"
            responses:
                "200":
                    description: List of export files
                    content:
                        application/json:
                            schema:
                                $ref: "#/components/schemas/exportList"
                default:
                    $ref: "#/components/responses/error"
    /exports/{exportType}/{filename}/downloadLink:
        get:
            x-mint:
                href: /api-reference/connect/backend/exports/get-download-link-for-an-export-file
            summary: Get download link for an export file
            description: |-
                Generates a pre-signed download link for a specific export file.

                Required API key permission: `exports:read`.
            operationId: ExportDownloadLinkGet
            tags:
                - Exports
            security:
                - basicAuth: []
                - bearerAuth:
                    - exports:read
            parameters:
                - name: exportType
                  in: path
                  required: true
                  description: Type of export to download
                  schema:
                    $ref: "#/components/schemas/exportType"
                - name: filename
                  in: path
                  required: true
                  description: Name of the export file
                  schema:
                    type: string
            responses:
                "200":
                    description: Pre-signed download link
                    content:
                        application/json:
                            schema:
                                $ref: "#/components/schemas/exportDownloadLink"
                default:
                    $ref: "#/components/responses/error"
    /stats:
        get:
            summary: "Get project statistics"
            x-mint:
                href: /api-reference/connect/backend/connect-reads/get-stats
                metadata:
                    sidebarTitle: "Get project statistics"
            description: |-
                Retrieves stats for a project

                Required API key permission: `analytics:read`.
            operationId: publicGetStats
            tags:
                - Connect reads
            parameters:
                - name: interval
                  in: query
                  description: interval as string
                  required: true
                  schema:
                    type: string
                    enum:
                        - minutely
                        - hourly
                        - daily
                        - monthly
                - name: queryType
                  in: query
                  description: queryType as string
                  required: true
                  schema:
                    type: string
                - name: applicationID
                  in: query
                  required: false
                  schema:
                    type: string
            responses:
                default:
                    description: Error
                    content:
                        application/json:
                            schema:
                                allOf:
                                    - type: object
                                      required:
                                        - httpStatusCode
                                        - message
                                        - requestData
                                        - runtime
                                      properties:
                                        httpStatusCode:
                                            description: HTTP status code of operation
                                            type: integer
                                            format: int32
                                        message:
                                            type: string
                                            example: 'OK'
                                        requestData:
                                            description: Data about the request itself, can be used for debugging
                                            type: object
                                            required:
                                                - requestID
                                            properties:
                                                requestID:
                                                    description: Unique ID of request, you can provide your own while making the request, if not the ID will be randomly generated on server side
                                                    type: string
                                                    example: 'req-557...663'
                                                link:
                                                    description: Link to dashboard with details about request
                                                    type: string
                                                    example: 'https://my.corbado.com/requests/req-xxxxxxxxxxxxxxxxxxx'
                                        runtime:
                                            description: Runtime in seconds for this request
                                            type: number
                                            format: float
                                            example: 0.06167686
                                    - type: object
                                      required:
                                        - error
                                      properties:
                                        data:
                                            type: object
                                        error:
                                            type: object
                                            required:
                                                - type
                                            properties:
                                                type:
                                                    description: Type of error
                                                    type: string
                                                details:
                                                    description: Details of error
                                                    type: string
                                                validation:
                                                    description: Validation errors per field
                                                    type: array
                                                    items:
                                                        type: object
                                                        required:
                                                            - field
                                                            - message
                                                        properties:
                                                            field:
                                                                type: string
                                                            message:
                                                                type: string
                                                links:
                                                    description: Additional links to help understand the error
                                                    type: array
                                                    items:
                                                        type: string
                '200':
                    description: tbd
                    content:
                        application/json:
                            schema:
                                $ref: '#/components/schemas/ConnectReadBackendStatsGetRsp'
                '401':
                    description: Authentication or API-key permission denied
                '403':
                    description: Authentication or API-key permission denied
            security:
                - basicAuth: []
                - bearerAuth:
                    - analytics:read
    /statsByTime:
        get:
            summary: "Get statistics over time"
            x-mint:
                href: /api-reference/connect/backend/connect-reads/get-statsbytime
                metadata:
                    sidebarTitle: "Get statistics over time"
            description: |-
                Retrieves stats for a project (grouped by time)

                Required API key permission: `analytics:read`.
            operationId: publicGetStatsByTime
            tags:
                - Connect reads
            parameters:
                - name: fromDate
                  in: query
                  description: date range start
                  required: true
                  schema:
                    type: string
                - name: toDate
                  in: query
                  description: date range end
                  required: true
                  schema:
                    type: string
                - name: interval
                  in: query
                  description: interval as string
                  required: true
                  schema:
                    type: string
                    enum:
                        - minutely
                        - hourly
                        - daily
                        - monthly
                - name: queryType
                  in: query
                  description: queryType as string
                  required: true
                  schema:
                    type: string
                - name: applicationID
                  in: query
                  required: false
                  schema:
                    type: string
                - name: osName
                  in: query
                  required: false
                  schema:
                    type: string
            responses:
                default:
                    description: Error
                    content:
                        application/json:
                            schema:
                                allOf:
                                    - type: object
                                      required:
                                        - httpStatusCode
                                        - message
                                        - requestData
                                        - runtime
                                      properties:
                                        httpStatusCode:
                                            description: HTTP status code of operation
                                            type: integer
                                            format: int32
                                        message:
                                            type: string
                                            example: 'OK'
                                        requestData:
                                            description: Data about the request itself, can be used for debugging
                                            type: object
                                            required:
                                                - requestID
                                            properties:
                                                requestID:
                                                    description: Unique ID of request, you can provide your own while making the request, if not the ID will be randomly generated on server side
                                                    type: string
                                                    example: 'req-557...663'
                                                link:
                                                    description: Link to dashboard with details about request
                                                    type: string
                                                    example: 'https://my.corbado.com/requests/req-xxxxxxxxxxxxxxxxxxx'
                                        runtime:
                                            description: Runtime in seconds for this request
                                            type: number
                                            format: float
                                            example: 0.06167686
                                    - type: object
                                      required:
                                        - error
                                      properties:
                                        data:
                                            type: object
                                        error:
                                            type: object
                                            required:
                                                - type
                                            properties:
                                                type:
                                                    description: Type of error
                                                    type: string
                                                details:
                                                    description: Details of error
                                                    type: string
                                                validation:
                                                    description: Validation errors per field
                                                    type: array
                                                    items:
                                                        type: object
                                                        required:
                                                            - field
                                                            - message
                                                        properties:
                                                            field:
                                                                type: string
                                                            message:
                                                                type: string
                                                links:
                                                    description: Additional links to help understand the error
                                                    type: array
                                                    items:
                                                        type: string
                '200':
                    description: tbd
                    content:
                        application/json:
                            schema:
                                $ref: '#/components/schemas/ConnectReadBackendStatsByTimeGetRsp'
                '401':
                    description: Authentication or API-key permission denied
                '403':
                    description: Authentication or API-key permission denied
            security:
                - basicAuth: []
                - bearerAuth:
                    - analytics:read
    /connect/applications:
        post:
            summary: "Create an application"
            x-mint:
                href: /api-reference/connect/backend/connectmanagement/post-connectapplications
                metadata:
                    sidebarTitle: "Create an application"
            operationId: publicApplicationCreate
            description: |-
                Creates a Connect application. The project is selected by X-Corbado-ProjectID. At most one web
                application is allowed per project.

                Required API key permission: `applications:write`.
            tags:
                - ConnectManagement
            requestBody:
                required: true
                content:
                    application/json:
                        schema:
                            $ref: '#/components/schemas/ConnectReadBackendConnectApplicationSaveReq'
            responses:
                default:
                    description: Error
                    content:
                        application/json:
                            schema:
                                allOf:
                                    - type: object
                                      required:
                                        - httpStatusCode
                                        - message
                                        - requestData
                                        - runtime
                                      properties:
                                        httpStatusCode:
                                            description: HTTP status code of operation
                                            type: integer
                                            format: int32
                                        message:
                                            type: string
                                            example: 'OK'
                                        requestData:
                                            description: Data about the request itself, can be used for debugging
                                            type: object
                                            required:
                                                - requestID
                                            properties:
                                                requestID:
                                                    description: Unique ID of request, you can provide your own while making the request, if not the ID will be randomly generated on server side
                                                    type: string
                                                    example: 'req-557...663'
                                                link:
                                                    description: Link to dashboard with details about request
                                                    type: string
                                                    example: 'https://my.corbado.com/requests/req-xxxxxxxxxxxxxxxxxxx'
                                        runtime:
                                            description: Runtime in seconds for this request
                                            type: number
                                            format: float
                                            example: 0.06167686
                                    - type: object
                                      required:
                                        - error
                                      properties:
                                        data:
                                            type: object
                                        error:
                                            type: object
                                            required:
                                                - type
                                            properties:
                                                type:
                                                    description: Type of error
                                                    type: string
                                                details:
                                                    description: Details of error
                                                    type: string
                                                validation:
                                                    description: Validation errors per field
                                                    type: array
                                                    items:
                                                        type: object
[...]
